%global git_url https://github.com/konstantintutsch/%{name}
%global vendor  com.konstantintutsch.%{name}


Name:           Caffeine
Version:        1.1.1
Release:        0.1%{?dist}
Summary:        Calculate your coffee

License:        MIT
URL:            https://konstantintutsch.com/%{name}/
Source0:        %{git_url}/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  blueprint-compiler
BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)

Requires:       hicolor-icon-theme


%description
Caffeine is a utility for coffee enthusiasts.  It's sole purpose is to
calculate the extraction ratio of a coffee.

For example, an espresso brewed from 10g of coffee ground weighing 18g
would have an extraction ratio of 1 : 1.8.


%prep
%autosetup -p 1


%build
%meson
%meson_build


%install
%meson_install
%find_lang %{vendor}


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files -f %{vendor}.lang
%license LICENSE.txt
%doc README.md
%dir %{_datadir}/%{vendor}
%{_bindir}/%{vendor}
%{_datadir}/applications/%{vendor}.desktop
%{_datadir}/%{vendor}/%{vendor}.gresource
%{_datadir}/icons/hicolor/scalable/apps/%{vendor}.svg
%{_datadir}/icons/hicolor/symbolic/apps/%{vendor}-symbolic.svg
%{_metainfodir}/%{vendor}.metainfo.xml


%changelog
* Tue May 13 2025 Björn Esser <besser82@fedoraproject.org> - 1.1.1-0.1
- Update to v1.1.1

* Sun May 11 2025 Björn Esser <besser82@fedoraproject.org> - 1.1.0-0.1
- Initial spec file draft
